.Dd June 19, 2020
.Dt OOOK-WITH-RDIFF-DIFFERENTIALS 1
.Sh NAME
.Nm oook-with-rdiff-differentials
.Nd Synthesize differential backups using rdiff
.Sh SYNOPSIS
.Nm
.Ar command Op argument ...
.Ic full | incr
.Ar filesystem
.Sh DESCRIPTION
.Nm
is a wrapper for another Oook backup script, 
.Ic oook- Ns Ar command ,
and adds support for differential backups to that command
using
.Xr rdiff 1 .
When invoked with the
.Ic full
argument,
.Nm
runs
.Ic oook- Ns Ar command argument ... Ic full Ar filesystem
and
.Xr rdiff 1
records a signature of the data produced.
When invoked with the
.Ic incr
argument,
.Nm
again requests a
.Ic full
backup but uses
.Xr rdiff 1
and the saved signature file to construct a delta that specifies how to
reconstruct the new backup based on the previous full backup.
Typically, the delta is much smaller than a full backup.
.Sh EXAMPLES
If one didn't trust the handling of incremental restores in
.Xr restore 8 ,
one might wrap
.Xr oook-dump-ext2 1
like this:
.Pp
.Dl oook-with-rdiff-differentials dump-ext2 full /home
.Dl oook-with-rdiff-differentials dump-ext2 incr /home
.Pp
Normally, this would be configured in
.Pa /etc/oook/fslist
for
.Xr oook-client 1 ,
something like this:
.Pp
.Dl /home with-rdiff-differentials dump-ext2
.Sh FILES
.Bl -tag
.It Pa /var/lib/oook-with-rdiff-differentials
Directory where signature files are kept.
.El
.Sh SEE ALSO
.Xr oook-client 1 ,
.Xr rdiff 1 .
.Sh AUTHORS
.Nm
and this manual page were written by Ben Harris for the University of
Cambridge Information Services.
